cURL
curl --request GET \ --url https://api.hubmessage.io/whatsapp/businesses/{wabaId}/templates \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "1900296177408890", "name": "confirm_account", "status": "APPROVED", "category": "AUTHENTICATION", "language": "pt_BR", "parameter_format": "POSITIONAL", "message_send_ttl_seconds": 600, "components": [ { "type": "BODY", "text": "Seu código de verificação é *{{1}}*. Para sua segurança, não o compartilhe.", "add_security_recommendation": true, "example": { "body_text": [ [ "123456" ] ] } }, { "type": "BUTTONS", "buttons": [ { "type": "URL", "text": "Copiar código", "url": "https://www.whatsapp.com/otp/code/?otp_type=COPY_CODE&code=otp{{1}}", "example": [ "https://www.whatsapp.com/otp/code/?otp_type=COPY_CODE&code=otp123456" ] } ] } ] } ] }
List templates from a WABA
components
wabaId
Secret Key gerada no painel de Segurança do Hub Message
ID do WABA (obtido via Listar WABAs)
"428083093730937"
Lista de templates
Show child attributes